function [est, s, l, u]=cint(X,c)
	%The function takes as arguments a sample X and a confidence level c (0<c<1). It computes the sample mean (est), and standard deviation (s) , as well as lower and upper confidence limits (l,u) at confidence level c using the central limit theorem approximation (accurate when the length of X is sufficiently large). It uses the critical value of the t-distribution for the length of the confidence interval. 
N=length(X);
est=mean(X);
s=std(X);
a=1-c;
z=tinv(1-a/2,N-1);
stder=s/sqrt(N);
l=est-z*stder;
u=est+z*stder;