function P=pmfestimation(X)
%The function takes as argument the vector of nonnegative integer values X and computes the empirical probability mass function as follows : The maximum value nmax of X and the relative frequencies of all values 0, 1, ..., nmax are computed. 
%The outcome is a matrix P with nmax=1 rows and 2 columns. 
%Row i contains the vector (i-1, p_{i-1}), where p_i=f_i / length(X) is the relative frequency of value i, and f_i=sum(1(X_k=i), i=1...n) is the number of occurences of value i in the elements of X. 
%
N=length(X);
nmax=max(X);
P=zeros(nmax+1,2);
P(:,1)=0:nmax;
for i=0:nmax
  P(i+1,2)=sum(X==i)/N;
end;
% 
%  The format of the result permits easy plotting of the pmf, using the command plot(P(:, 1), P(:,2))